> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modifier Commande



## OpenAPI

````yaml openapi.json put /commandes/{commande_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /commandes/{commande_id}:
    put:
      tags:
        - commandes
        - commandes
      summary: Modifier Commande
      operationId: modifier_commande_commandes__commande_id__put
      parameters:
        - name: commande_id
          in: path
          required: true
          schema:
            type: string
            title: Commande Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommandeUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandeRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CommandeUpdate:
      properties:
        details:
          anyOf:
            - type: object
            - nullable: true
          title: Details
      type: object
      title: CommandeUpdate
      example:
        details:
          produits:
            - id: 1
              nom: T-shirt en coton
              prix: 29.99
              quantite: 3
    CommandeRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        reference:
          type: string
          title: Reference
        statut:
          $ref: '#/components/schemas/StatutCommande'
        total:
          type: number
          title: Total
        articles:
          type: object
          title: Articles
        created_at:
          type: string
          format: date-time
          title: Created At
        marchand_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Marchand Id
        client_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Client Id
      type: object
      required:
        - id
        - reference
        - statut
        - total
        - articles
        - created_at
        - marchand_id
        - client_id
      title: CommandeRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatutCommande:
      type: string
      enum:
        - en_attente
        - validée
        - annulée
        - en_cours
        - livrée
      title: StatutCommande
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.